org.eclipse.jetty.client

## Interface HttpEventListener

All Known Implementing Classes:
  HttpEventListenerWrapper, RedirectListener, SecurityListener, WebdavListener

    public interface HttpEventListener

### Method Summary

Methods
`void` `onConnectionFailed(Throwable ex)`
`void` `onException(Throwable ex)`
`void` `onExpire()`
`void` `onRequestCommitted()`
`void` `onRequestComplete()`
`void` `onResponseComplete()`
`void` `onResponseContent(Buffer content)`
`void` `onResponseHeader(Buffer name, Buffer value)`
`void` `onResponseHeaderComplete()`
`void` `onResponseStatus(Buffer version, int status, Buffer reason)`
`void` `onRetry()`

### Method Detail

#### onRequestCommitted

    void onRequestCommitted()
                            throws IOException

Throws:
  `IOException`

#### onRequestComplete

    void onRequestComplete()
                           throws IOException

Throws:
  `IOException`

#### onResponseStatus

    void onResponseStatus(Buffer version,
                        int status,
                        Buffer reason)
                          throws IOException

Throws:
  `IOException`

#### onResponseHeader

    void onResponseHeader(Buffer name,
                        Buffer value)
                          throws IOException

Throws:
  `IOException`

#### onResponseHeaderComplete

    void onResponseHeaderComplete()
                                  throws IOException

Throws:
  `IOException`

#### onResponseContent

    void onResponseContent(Buffer content)
                           throws IOException

Throws:
  `IOException`

#### onResponseComplete

    void onResponseComplete()
                            throws IOException

Throws:
  `IOException`

#### onConnectionFailed

    void onConnectionFailed(Throwable ex)

#### onException

    void onException(Throwable ex)

#### onExpire

    void onExpire()

#### onRetry

    void onRetry()